Create Fiat Payout API

Create Fiat Payout API

API Information

ItemDescription
MethodPOST
Path/apis/v1/fiat-payout/create
Content-Typeapplication/json
AuthenticationRequired. Refer to 'Authorization Introduction'

Description

This API is used to create a fiat payout request.

Request Parameters

Request body parameters:

ParameterRequiredTypeDescription
merchantReferenceIdYesstringMerchant reference ID
payoutAmountYesnumberPayout amount
deductionCurrencyYesstringDeduction currency
support: USD USDT USDC VND INR
transactionTypeYesstringTransaction type
payoutCurrencyYesstringPayout currency
senderNoobjectSender information object
See: Personal Sender Object or Business Sender Object
beneficiaryMethodYesobjectBeneficiary method object; field structure depends on the specific payout channel
isRecipientSelfNobooleanWhether the recipient is the same person; default is false
messageNostringString sent to the bank(only for inr now)

Common Fields in sender

Personal Sender Object

Parameter CodeParameter DescriptiontypeRequiredremark
accountTypePERSONAL or BUSINESSStringNDefault PERSONAL
namenameStringY
emailemailStringY
phonephoneStringY+8613002140325
phoneCountryCodePhone Country CodeStringY+86
firstNamefirst nameStringN
lastNamelast nameStringN
dateOfBirthbirthdayStringN
genderGender
M: Male
F: Female
StringN
idTypeId Type
1: Passport
2: Identification Card
3: Company Registration Document
4: Others
5: Work Permit
StringNEUR support 1 2 4 5
GBP support 1 2
USD support 1 2
AUD support 1 2 4 5
JPY support 1 2
MYR support 1 2
CAD support 1 2
KRW support 1 2
HKD support 1 2 5
Other support all
idSubTypePASSPORT
ID_CARD
DRIVER_LICENSE
DRIVERS
VEHICLE_REGISTRATION_CERTIFICATE
RESIDENCE_PERMIT
LOCAL_ID
EMIRATES_ID
StringNINR support:
PASSPORT / ID_CARD / DRIVER_LICENSE / LOCAL_ID / EMIRATES_ID

IDR support:
PASSPORT / ID_CARD
idValueId ValueStringN
idIssueCountryId Issue Country
Three digit country code like: CNH
StringN
nationalitynationality
Three digit country code like: CNH
StringN
addressaddressStringN
postalCodePostal codeStringN
citycityStringN
statestateStringN
regionregionStringN
countrycountry
Three digit country code like: CNH
StringN
occupationOccupation
1: PMET
2: Blue Collar Staff
3: Sales/Marketing Staff
4: IT/Cyber Security Staff
5: Student
6: Engineer
7: Customer Service
8: Business Owner
9: Retired
StringN
remarkStringN

Other Currency Special Required Fields

  1. The required parameters above are for all currencies and will not be listed one by one in the table below
  2. For currencies not listed in the table below, only the required parameters need to be filled in
CurrencyRequired Fields
IDRidSubType、idValue、nationality
INRdateOfBirth、idSubType、idValue、nationality、address、city、country
USDpayoutMethod = BANK_TRANSFER:firstName、lastName、dateOfBirth、idType、idValue、nationality、address、city、postalCode、region、country

payoutMethod = BANK_TRANSFER_SWIFT:firstName、lastName、idType、idValue、address、city、country
CNYfirstName、lastName、dateOfBirth、gender、idType、idValue、idIssueCountry、nationality、country
EURfirstName、lastName、dateOfBirth、idType、idValue、nationality、city、address、country、occupation
GBPfirstName、lastName、dateOfBirth、idType、idValue、nationality、address、postalCode、city、country
AEDfirstName、lastName、idType、idValue、address、country
AUDfirstName、lastName、dateOfBirth、idType、idValue、nationality、city、country、remark
THBfirstName、lastName、dateOfBirth、idType、idValue、nationality、address
JPYfirstName、lastName、dateOfBirth、idType、idValue、nationality、address、city、country
MYRfirstName、lastName、dateOfBirth、idType、idValue、nationality、address、country
CADfirstName、lastName、dateOfBirth、idType、idValue、nationality、city、address、postalCode、country
KRWfirstName、lastName、dateOfBirth、idType、idValue、nationality、country
HKDfirstName、lastName、dateOfBirth、idType、idValue、nationality、country、city、address、zipCode

Business Sender Object

Parameter CodeParameter DescriptiontypeRequiredremark
accountTypePERSONAL or BUSINESSStringYDefault PERSONAL
nameLegal name of the enterpriseStringY
registrationNumberEnterprise Registration NumberStringY
countrythe country where the sender is locatedStringY
registrationCountryCountry of Enterprise RegistrationStringN
addressEnterprise addressStringY
phoneCountryCodeMobile country code
Like: +86
StringY
mobileNumberEnterprise Mobile Number
Like: +8613002140325
StringY
incorporationDateDate of establishment of the enterpriseStringY
typetype
1: Cashless Retailers
2: Online Small Retailers
3: Restaurants, Cafes and Supermarkets
4: Importers/Exporters
StringN
bankBranchCodethe branch code of the company's bankStringN
cityEnterprise cityStringN
regionLocation of the enterpriseStringN
zipCodeEnterprise postal codeStringN
structurecorporate structure
1: SP
2: Co.
3: Corp.
4: LP
5: LLP
6: LLC
7: Pte Ltd.
8: Public Ltd.
StringN
remarkInclude any additional comments or notes related to the transaction by the sender companyStringN

Other Currency Special Required Fields

  • The required parameters above are for all currencies and will not be listed one by one in the table below

  • For currencies not listed in the table below, only the required parameters need to be filled in

CurrencyRequired Fields
USDpayoutMethod = BANK_TRANSFER:city、region、zipCode、structure、incorporationDate

payoutMethod = BANK_TRANSFER_SWIFT:city
EURtype、city、structure
GBPcity、zipCode
AUDbankBranchCode、remark
JPYcity
CADcity、zipCode
KRWstructure
HKDcity、zipCode

Dynamic Beneficiary Method

The Dynamic Beneficiary Method requires different parameters based on the payout currency.

Currency: INR

Parameter CodeParameter DescriptiontypeverificationRequired
accountTypePERSONAL or BUSINESSStringDefault PERSONALY
accountNumberbank card numberString^\d{9,18}$N
ifscIfsc codeString^[A-Z]{4}0[a-zA-Z0-9]{6}$N
namenameString^[a-zA-Z.\s]+$Y
vpavpaStringN
transactionTypeElectronic Funds Transfer SystemStringIMPSY

The VPA field is mutually exclusive with the account name and ifsc fields; one must be selected to fill in.

Currency: VND

Parameter CodeParameter DescriptiontypeverificationRequired
accountTypePERSONAL or BUSINESSStringDefault PERSONALY

Personal:

Parameter CodeParameter DescriptiontypeverificationRequired
nameAccount NameStringMax: 128Y
accountNumberbank card numberString^[a-zA-Z0-9]+$Y
napasCodeSee VND Bank InfoStringnapasCode or bankCode, one must be filled inN
bankCodeSee VND Bank InfoStringnapasCode or bankCode, one must be filled inN
addressaddressStringN
cityCity. See VND City listStringN
firstNamefirst nameStringY
lastNamelast nameStringY

Business:

Parameter CodeParameter DescriptiontypeverificationRequired
nameAccount NameStringMax: 128Y
accountNumberbank card numberString^[a-zA-Z0-9]+$Y
napasCodeSee VND Bank InfoStringnapasCode or bankCode, one must be filled inN
bankCodeSee VND Bank InfoStringnapasCode or bankCode, one must be filled inN
addressaddressStringN
cityCity. See VND City listStringN

Bank Info List: VND Bank Info

City: VND City list

Currency: PHP

Parameter CodeParameter DescriptiontypeverificationRequired
accountTypePERSONAL or BUSINESSStringDefault PERSONALY
accountNumberbank card numberStringY
bankCodebank code: See Bank Code listStringY
namenameString^[a-zA-Z.\s]+$Y

Napas Code List: PHP Bank Info

Currency: CNY

Parameter CodeParameter DescriptiontypeverificationRequired
accountTypePERSONAL or BUSINESSStringDefault PERSONALY

Personal:

⚠️

Abandoned:The table below has deleted all lines (header and all data rows) from the original document. For historical reference only, please use the updated parameter table for new connections.

Parameter CodeParameter DescriptiontypeverificationRequired
receiverBankAccountNumberReceiver bank card numberStringY
receiverDateOfBirthReceiver birthdayString^\d{4}\-(0[1-9]|1[012])\-(0[1-9]|[12][0-9]|3[01])$N
receiverGenderReceiver genderStringM: Male / F: FemaleY
receiverIdNumberNational ID (The recipient must be a Chinese citizen with a Chinese national ID)String^[A-Za-z0-9 .-]{1,18}$Y
receiverIdTypeReceiver id typeString2: Identification CardY
receiverMobileNumberReceiver mobile numberStringlike: +8613002140325Y
receiverNativeFirstNameFirst name (Chinese)StringY
receiverNativeLastNameLast name (Chinese)StringY

Delete parameters as old version parameters. For new connections, please use the following parameters:

Parameter CodeParameter DescriptiontypeverificationRequired
bankAccountNumberReceiver bank card numberStringmax:50Y
idNumberNational ID (The recipient must be a Chinese citizen with a Chinese national ID)Stringmin:3 | max:18 | alpha_numY
idTypeReceiver id typeString2: Identification CardY
nativeFirstNameFirst name (Chinese)Stringstring | max:50 | regex:/\p{Script=Han}+/uY
nativeLastNameLast name (Chinese)Stringstring | max:50 | regex:/\p{Script=Han}+/uY

Business:

Parameter CodeParameter DescriptiontypeverificationRequired
nativeNamethe native legal name of the receiver company (Chinese)Stringstring | min:1 | max:50Y
bankAccountNumberbank account numberStringstring | min:1 | max:30Y
registrationNumberthe identification number of the receiver companyStringstring | min:1 | max:50Y

Currency: GBP

Parameter CodeParameter DescriptiontypeverificationRequired
accountTypePERSONAL or BUSINESSStringDefault PERSONALY

Personal:

Parameter CodeParameter DescriptiontypeverificationRequired
firstNamefirst nameStringMax:50 ^[A-Za-z0-9 .-]+$Y
lastNamelast nameStringMax:50 ^[A-Za-z0-9 .-]+$Y
dateOfBirthdate of birthString^\d{4}\-(0[1-9]|1[012])\-(0[1-9]|[12][0-9]|3[01])$Y
bankBranchCodebranch code of the receiver company's bankStringmin:1 | max:6Y
bankAccountNumberbank account numberStringmax:50Y

Business:

Parameter CodeParameter DescriptiontypeverificationRequired
namelegal name of the receiver companyStringMax:100 ^[A-Za-z0-9 .-]+$Y
bankBranchCodebranch code of the receiver company's bankStringdigits:6Y
bankAccountNumberbank account numberStringdigits:8Y

Currency: EUR

Parameter CodeParameter DescriptiontypeverificationRequired
accountTypePERSONAL or BUSINESSStringDefault PERSONALY

Personal:

Parameter CodeParameter DescriptiontypeverificationRequired
firstNamefirst nameStringMax:50 ^[A-Za-z0-9 .-]+$Y
lastNamelast nameStringMax:50 ^[A-Za-z0-9 .-]+$Y
dateOfBirthdate of birthString^\d{4}\-(0[1-9]|1[012])\-(0[1-9]|[12][0-9]|3[01])$Y
idType1: Passport
2: Identification Card
4: Others
5: Work Permit
StringY
idNumberidentification numberStringalpha_num | min:3 | max:20Y
addressaddressStringmax:50Y
bankAccountNumberbank account numberStringmax:50Y

Business:

Parameter CodeParameter DescriptiontypeverificationRequired
namelegal name of the receiver companyStringMax:50 ^[A-Za-z0-9 .-]+$Y
bankAccountNumberbank account numberStringalpha_num | min:1 | max:34Y
addressaddress of the receiver companyStringmin:1 | max:50Y
structurecorporate structure
1: SP
2: Co.
3: Corp.
4: LP
5: LLP
6: LLC
7: Pte Ltd.
8: Public Ltd.
StringY
registrationNumberidentification number of the receiver companyStringmin:3 | max:20Y

Currency: USD

Parameter CodeParameter DescriptiontypeverificationRequired
accountTypePERSONAL or BUSINESSStringDefault PERSONALY

Personal — payoutMethod = BANK_TRANSFER:

Parameter CodeParameter DescriptiontypeverificationRequired
firstNamefirst nameStringMax:50 ^[A-Za-z0-9 .-]+$Y
lastNamelast nameStringMax:50 ^[A-Za-z0-9 .-]+$Y
dateOfBirthdate of birthString^\d{4}\-(0[1-9]|1[012])\-(0[1-9]|[12][0-9]|3[01])$Y
bankCodeAmerican banks are identified by a 9 digit ABA number, also known as 'Routing Number'. The ABA should be valid for FedACH payments.Stringdigits:9Y
phoneCountryCodeMobile country codeStringY
mobileNumberStringdigits_between:9,11Y
zipCodethe receiver's personal or residential details as applicableStringdigits:5Y
idType1: Passport
2: Identification Card
StringY
idNumberidentification numberStringmax:20 | alpha_numY
nationalityreceiver's nationality or citizenship. See: Nationality listStringY
regionNortheast
Southwest
West
Southeast
Midwest
StringY
citycityString^[A-Za-z .,-]+$Y
addressaddressStringmax:50Y
bankAccountType3: Saving
4: Current
5: Checking
6: Corporate
StringY
bankAccountNumberbank account numberStringmax:50Y

Personal — payoutMethod = BANK_TRANSFER_SWIFT:

Parameter CodeParameter DescriptiontypeverificationRequired
firstNamefirst nameStringMax:50 ^[A-Za-z0-9 .-]+$Y
lastNamelast nameStringMax:50 ^[A-Za-z0-9 .-]+$Y
addressthe receiver's personal or residential details as applicableStringmax:100Y
bankAccountNumberbank account numberStringmax:50Y
bankCodethe SWIFT code of the receiver's bankStringmin:8 | max:11Y
bankNamethe receiver bank nameStringmax:100Y
countrythe country where the receiver is located. See: Registration Country listStringY

Nationality list: Usd Nationality

Business — payoutMethod = BANK_TRANSFER:

Parameter CodeParameter DescriptiontypeverificationRequired
namelegal name of the receiver companyStringMax:50 ^[A-Za-z0-9 .-]+$Y
phoneCountryCodeMobile country codeStringY
mobileNumberStringdigits_between:9,11Y
registrationNumberidentification number of the receiver companyStringalpha_numY
zipCodepostal code or ZIP code where the receiver company is locatedStringdigits:5Y
bankAccountType3: Saving
4: Current
5: Checking
6: Corporate
StringY
bankAccountNumberbank account numberStringalpha_num | min:1 | max:34Y
registrationCountryreceiver's nationality or citizenship. See: Registration Country listStringY
regionNortheast
Southwest
West
Southeast
Midwest
StringY
citycityString^[A-Za-z .,-]+$Y
addressaddress of the receiver companyString^[A-Za-z0-9 .,-]+$Y
bankCodeAmerican banks are identified by a 9 digit ABA number, also known as 'Routing Number'. The ABA should be valid for FedACH payments.Stringdigits:9Y
structurecorporate structure
1: LLC
2: Inc.
3: Co.
4: Corp.
5: Ltd.
StringY

Business — payoutMethod = BANK_TRANSFER_SWIFT:

Parameter CodeParameter DescriptiontypeverificationRequired
namelegal name of the receiver companyStringmax:100 ^[A-Za-z0-9 .-]+$Y
addressaddress of the receiver companyStringmax:100Y
bankAccountNumberbank account numberStringmax:50Y
bankCodethe SWIFT code of the receiver company's bankStringmin:8 | max:11Y
bankNamethe receiver company's bank nameStringmax:100Y
countrythe country of transfer destination. See: Registration Country listStringY

Registration Country list: USD Registration Country

Currency: AED

Parameter CodeParameter DescriptiontypeverificationRequired
accountTypePERSONAL or BUSINESSStringDefault PERSONALY

Personal:

Parameter CodeParameter DescriptiontypeverificationRequired
firstNamefirst nameStringMax:50 ^[A-Za-z0-9 .-]+$Y
lastNamelast nameStringMax:50 ^[A-Za-z0-9 .-]+$Y
bankNamebank namemax:100Y
addressaddressStringmax:50Y
ibanNumberthe Iban number of the receiverStringmax:50Y

Business:

Parameter CodeParameter DescriptiontypeverificationRequired
namelegal name of the receiver companyStringMax:50 ^[A-Za-z0-9 .-]+$Y
ibanNumberthe Iban number of the receiver's companymax:50
bankNamebank nameStringstring | min:1 | max:100Y
addressaddress of the receiver companyStringmin:1 | max:50Y

Currency: AUD

Parameter CodeParameter DescriptiontypeverificationRequired
accountTypePERSONAL or BUSINESSStringDefault PERSONALY

Personal:

Parameter CodeParameter DescriptiontypeverificationRequired
bankAccountNumberbank account numberStringnumericY
addressaddressStringY
bankStateIndicate the state associated with the receiver's bank account.
enums: Australian Capital Territory / New South Wales / Western Australia / Victoria / Queensland / South Australia / Tasmania / Northern Territory
String
bankCitySpecify the city where the receiver's bank is located. See: AUD bank cityStringY
bankIdSpecify the receiver's bank ID. See: AUD bank idStringY
bankBranchCodebank branch codeStringdigits:6Y
dateOfBirthdate of birthString^\d{4}\-(0[1-9]|1[012])\-(0[1-9]|[12][0-9]|3[01])$Y
firstNamefirst nameStringY
lastNamelast nameStringY
idType1: Passport
2: Identification Card
4: Others
5: Work Permit
StringY
idNumberidentification numberStringmax:20 | alpha_numY

Business:

Parameter CodeParameter DescriptiontypeverificationRequired
namethe legal name of the receiver companyStringY
registrationNumberidentification number of the receiver companyStringalpha_numY
bankAccountNumberbank account numberStringnumericY
addressaddress of the receiver companyStringY
bankStatethe state associated with the receiver company's bank account.
enums: Australian Capital Territory / New South Wales / Western Australia / Victoria / Queensland / South Australia / Tasmania / Northern Territory
StringY
bankCitythe city of the receiver company's bank. See: AUD bank cityStringY
bankIdthe ID of the bank where the receiver company holds an account. See: AUD bank idStringY
bankBranchCodethe branch code of the company's bankStringdigits:6Y

AUD bank city: AUD-B2C-receiverBankCity.csv

AUD bank id: AUD bank

Currency: THB

Parameter CodeParameter DescriptiontypeverificationRequired
accountTypePERSONAL or BUSINESSStringDefault PERSONALY

Personal:

Parameter CodeParameter DescriptiontypeverificationRequired
bankAccountNumberbank account numberStringmax:50Y
bankIdthe receiver's bank ID. See: THB bank idStringY
dateOfBirthdate of birthString^\d{4}\-(0[1-9]|1[012])\-(0[1-9]|[12][0-9]|3[01])$Y
firstNamefirst nameStringmax:50 | regex:/^[A-Za-z0-9 .-]+$/Y
lastNamelast nameStringmax:50 | regex:/^[A-Za-z0-9 .-]+$/Y

Business:

Parameter CodeParameter DescriptiontypeverificationRequired
namethe legal name of the receiver companyStringalpha_spacesY
bankIdthe ID of the bank where the receiver company holds an account. See: THB bank idStringY
bankAccountNumberbank account numberStringY

THB bank id: THB Bank Id

Currency: MYR

Parameter CodeParameter DescriptiontypeverificationRequired
accountTypePERSONAL or BUSINESSStringDefault PERSONALY

Personal:

Parameter CodeParameter DescriptiontypeverificationRequired
bankAccountNumberbank account numberStringY
bankIdthe receiver's bank ID. See: MYR bank idStringY
firstNamefirst nameStringmax:60 | alpha_spacesY
lastNamelast nameStringmax:60 | alpha_spacesY

Business:

Parameter CodeParameter DescriptiontypeverificationRequired
namethe legal name of the receiver companyStringalpha_spacesY
bankIdthe ID of the bank where the receiver company holds an account. See: MYR bank idStringY
bankAccountNumberbank account numberStringY

MYR Bank Id: MYR Bank Id

Currency: CAD

Parameter CodeParameter DescriptiontypeverificationRequired
accountTypePERSONAL or BUSINESSStringDefault PERSONALY

Personal:

Parameter CodeParameter DescriptiontypeverificationRequired
bankAccountNumberbank account numberStringmax:50Y
addressaddressStringmax:100 | regex:/^[A-Za-z0-9 .,-]+$/Y
bankBranchCodebank branch codeStringmax:6Y
bankIdthe receiver's bank ID. See: CAD bank idStringY
citythe city where the receiver company is locatedStringmax:50Y
dateOfBirthdate of birthString^\d{4}\-(0[1-9]|1[012])\-(0[1-9]|[12][0-9]|3[01])$Y
firstNamefirst nameStringmax:50 | regex:/^[A-Za-z0-9 .-]+$/Y
lastNamelast nameStringmax:50 | regex:/^[A-Za-z0-9 .-]+$/Y
phoneCountryCodeMobile country codeString+1Y
mobileNumberStringY
zipCodethe postal code or ZIP code where the receiver company is locatedStringmax:6Y

Business:

Parameter CodeParameter DescriptiontypeverificationRequired
namethe legal name of the receiver companyStringalpha_spacesY
bankIdthe ID of the bank where the receiver company holds an account. See: CAD bank idStringY
bankAccountNumberbank account numberStringY
addressStringY
bankBranchCodebank branch codeStringmax:50Y
citythe city where the receiver company is locatedStringmax:100 | regex:/^[A-Za-z0-9 .,-]+$/Y
phoneCountryCodeMobile country codeString+1Y
mobileNumberStringregex:/^[0-9]+$/Y
zipCodethe postal code or ZIP code where the receiver company is locatedStringmin:3 | max:8Y

CAD Bank Id: CAD Bank Id

Currency: JPY

Parameter CodeParameter DescriptiontypeverificationRequired
accountTypePERSONAL or BUSINESSStringDefault PERSONALY

Personal:

Parameter CodeParameter DescriptiontypeverificationRequired
bankAccountNumberbank account numberStringmax:50Y
addressStringmax:100Y
bankBranchCodebank branch codeStringmax:6Y
bankIdthe receiver's bank ID. See: JPY Bank idStringY
dateOfBirthdate of birthString^\d{4}\-(0[1-9]|1[012])\-(0[1-9]|[12][0-9]|3[01])$Y
firstNamefirst nameStringmax:50 | regex:/^[A-Za-z0-9 .,-]+$/Y
lastNamelast nameStringmax:50 | regex:/^[A-Za-z0-9 .,-]+$/Y

Business:

Parameter CodeParameter DescriptiontypeverificationRequired
namethe legal name of the receiver companyStringmax:100 | regex:/^[A-Za-z0-9 .,-]+$/Y
addressStringY
bankBranchCodebank branch codeStringmax:6Y
bankIdthe receiver's bank ID. See: JPY Bank idStringY
bankAccountNumberbank account numberStringY

JPY Bank id: JPY Bank Id

Currency: KRW

Parameter CodeParameter DescriptiontypeverificationRequired
accountTypePERSONAL or BUSINESSStringDefault PERSONALY

Personal:

Parameter CodeParameter DescriptiontypeverificationRequired
bankAccountNumberbank account numberStringdigits_between:1,16Y
nationalitySee: KRW CountryStringY
bankIdthe receiver's bank ID. See: KRW Bank IdStringY
dateOfBirthdate of birthString^\d{4}\-(0[1-9]|1[012])\-(0[1-9]|[12][0-9]|3[01])$Y
phoneCountryCodeMobile country codeStringY
mobileNumberStringY
firstNamefirst nameStringmax:50 | regex:/^[A-Za-z0-9 .-]+$/Y
lastNamelast nameStringmax:50 | regex:/^[A-Za-z0-9 .-]+$/Y
idType1: Passport
2: Identification Card
StringY
idNumberidentification numberStringalpha_numY

Business:

Parameter CodeParameter DescriptiontypeverificationRequired
namethe legal name of the receiver companyStringmax:50 | regex:/^[A-Za-z0-9 .-]+$/Y
countrySee: KRW CountryY
addressStringY
bankBranchCodebank branch codeStringmax:6Y
bankIdthe receiver's bank ID. See: KRW Bank IdStringY
bankAccountNumberbank account numberStringdigits_between:1,16Y
structurecorporate structure
1: SP
2: Co.
3: Corp.
4: LP
5: LLP
6: LLC
7: Pte Ltd.
8: Public Ltd.
StringY
phoneCountryCodeMobile country codeStringY
mobileNumberStringY
registrationNumberidentification number of the receiver companyStringalpha_numY

KRW Bank id: KRW Bank Id — KRW Country: KRW Country

Currency: HKD

Parameter CodeParameter DescriptiontypeverificationRequired
accountTypePERSONAL or BUSINESSStringYDefault PERSONAL

Personal:

Parameter CodeParameter DescriptiontypeverificationRequired
firstNamereceiver's first nameStringmax:50 | regex:/^[A-Za-z0-9 .-]+$/Y
lastNamereceiver's last nameStringmax:50 | regex:/^[A-Za-z0-9 .-]+$/Y
dateOfBirthdate of birthString^\d{4}\-(0[1-9]|1[012])\-(0[1-9]|[12][0-9]|3[01])$Y
addressStringmax:100Y
bankIdthe receiver's bank ID. See: HKD Bank IdStringY
bankAccountNumberbank account numberStringdigits_between:1,16Y

Business:

Parameter CodeParameter DescriptiontypeverificationRequired
namethe legal name of the receiver companyStringmax:50 | regex:/^[A-Za-z0-9 .-]+$/Y
incorporationDatedate of a company's establishmentString^\d{4}\-(0[1-9]|1[012])\-(0[1-9]|[12][0-9]|3[01])$Y
addressStringY
bankIdthe receiver's bank ID. See: HKD Bank IdStringY
bankAccountNumberbank account numberStringdigits_between:1,16Y

HKD Bank id: HKD Bank Id

Response

The standard response structure is R<object>.

data fields:

FieldTypeDescription
payoutIdstringPayout transaction ID
deductionAmountnumberDeduction amount
ratenumberExchange rate
payoutAmountnumberPayout amount
payoutCurrencystringPayout currency
deductionCurrencystringDeduction currency
transactionTypestringTransaction type
statusstringTransaction status
totalFeenumberTotal fee
feeCurrencystringFee currency
merchantIdstringMerchant ID
merchantReferenceIdstringMerchant reference ID
completeTimestringCompletion time
createdTimestringCreation time
updatedTimestringUpdate time
errorPayloadstringError details

For fields: errorPayload
It is primarily designed for humans and for reconcilliation purposes.
Please do not build your integration with while relying on this field.
If you have a use case for some information is not available otherwise, please contact us.